PHP Manual
Prev |  | Next

# runkit_import

(PECL)

runkit_import -- Process a PHP file importing function and class definitions, overwriting where appropriate

## Description

bool runkit_import ( string filename [, int flags] )

Similar to include() however any code residing outside of a function or class is simply ignored. Additionally, depending on the value of `flags`, any functions or classes which already exist in the currently running environment will be automatically overwritten by their new definitions.

## Parameters

`filename`

  Filename to import function and class definitions from

`flags`

  Bitwise OR of the `RUNKIT_IMPORT_*` family of constants.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
runkit_function_rename | Up | runkit_lint_file